@font-face {
    font-family: 'chunkfive';
    src: url('../fonts/chunkfive.otf') format('opentype');
}

/* --- */

* {
    font-family: 'Arial', sans-serif;
    color: #000000;
}

body {
    min-height: 100vh;

    background-color: #1b1b1b;

    background-image: url('../images/BGs/GDBackdrop-hd.webp');
    background-image: -webkit-image-set(
        url('../images/BGs/GDBackdrop.webp') 1x,
        url('..images/BGs/GDBackdrop-hd.webp') 2x,
        url('../images/BGs/GDBackdrop-uhd.webp') 4x,
    );
    background-image: image-set(
        url('../images/BGs/GDBackdrop.webp') 1x,
        url('../images/BGs/GDBackdrop-hd.webp') 2x,
        url('../images/BGs/GDBackdrop-uhd.webp') 4x,
    );

    background-blend-mode: multiply;
    background-size: cover;
    background-position: center;
    background-attachment: fixed; /* Optional: keeps BG still while scrolling */
    margin: 10 auto 10;
}

.main-container {
    max-width: 1600px;
    margin: 0 auto;
    padding: 10px;
    border-radius: 4px;
    border: 20px solid transparent;
    border-image-source: url('../images/ButtonBG.webp');
    border-image-slice: 20 fill;
    border-image-repeat: stretch;
    background-clip: padding-box;
    overflow-x: auto;
}

main {
    max-width: 1000px;
    margin: 0 auto;
    padding: 20px;
}

.title {
    font-family: 'chunkfive';
    -webkit-text-stroke: 0.5px black;
    color: #fff;
}

.socials {
    padding: 4px;
    background-color: #FFF;
    border-radius: 4px;
    border: 1px solid #111;

}

.social-ico {
    width: 16px;
    height: auto;
}

@media (max-width: 500px) {
    nav ul {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }
    .socials {
        justify-content: center;
    }
}

@media (max-width: 700px) {
    .featured-content {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }
    .introduction {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }
    .featured-videos {
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }
}

.introduction{
    list-style: none;
    display: flex;
    gap: 20px;
    margin: 0;
}

.intro-cube > *{
    justify-content: center;
    align-items: center;
}

.featured-content {
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin: 0;
}

.featured-videos {
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin: 0;
}

.video-label {
    font-size: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.featured-content > *{
    padding: 10px;
    background-color: #c5c5c5;
    width: 250px;
    height: 250px;
    border: 1px solid #000000;
    border-radius: 15px;
}

.featured-content > *:hover{
    transform: translateY(-10px);
    background-color: #d1d1d1;
}

.logo {
    margin: 8px;
}

a {
    text-decoration: none;
    color: #647daa;
}

a:hover {
    color: #5885ff;
}

/* --- */

header {
    max-width: 1500px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid black;
    padding: 20px;
    margin-bottom: 15px;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
    margin: 0;
}

.navbtn {
    padding: 10px 15px;
}

.btn {
    color: #000000;
}

/* --- */

footer {
    max-width: 1500px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    border-top: 1px solid black;
    border-bottom: 1px solid black;
    margin-bottom: 30px;
}

.dropdown-content {
    display: none;
    margin-top: 6px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    z-index: 9;
    background-color: #fff;
    border: 1px solid #111;
    border-radius: 4px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.2);
}

.dropdown-content a {
    padding: 8px;
    display: block;
}

.show {
    display: block !important;
}

.dropdown {
    position: relative; 
    display: inline-block;
}

/* --- */

.andgo-table {
    width: 100%;
    border-collapse: collapse;
    color: white;
    border: 2px solid #555;
}

.andgo-table th {
    padding: 12px;
    text-align: left;
    border-bottom: 1px solid #333;
}

.andgo-table td {
    padding: 10px;
    border-bottom: 1px solid #333;
}